## ros-noetic-power-msgs 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(power_msgs)

find_package(catkin REQUIRED
  COMPONENTS
    message_generation
    std_msgs
)

add_message_files(
  FILES
    BatteryState.msg
    BreakerState.msg
)

add_service_files(
  FILES
    BreakerCommand.srv
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  CATKIN_DEPENDS
    message_runtime
    std_msgs
)

=== debian/changelog ===
ros-noetic-power-msgs (0.4.2-1buster) buster; urgency=high

  * Add is_charger_detected to BatteryState
  * Contributors: Eric Relson

 -- Eric Relson <eric.relson@zebra.com>  Fri, 12 Nov 2021 08:00:00 -0000

ros-noetic-power-msgs (0.4.1-1buster) buster; urgency=high

  * updates maintainers
  * Contributors: Alex Moriarty, Russell Toris

 -- Niharika Arora <narora@fetchrobotics.com>  Sun, 24 May 2020 07:00:00 -0000

ros-noetic-power-msgs (0.4.0-1buster) buster; urgency=high

  * Merge pull request #10 <https://github.com/fetchrobotics/power_msgs/issues/10> from pavansoundara/battery-dataWe've released a binary version of the drivers which publishes the this version
    Note: will investigate switching both internal and external code to use:
    http://docs.ros.org/api/sensor_msgs/html/msg/BatteryState.html in the future.Adds:
    
      * total_capacity
      * current_capacity
      * battery_voltage
      * supply_voltage
      * charger_voltage
    Removes:
    
      * errors
    
  * Contributors: Alex Moriarty, Pavan Soundara

 -- Niharika Arora <narora@fetchrobotics.com>  Wed, 28 Aug 2019 07:00:00 -0000

ros-noetic-power-msgs (0.3.0-1buster) buster; urgency=high

  * updates ownership
  * Merge pull request #8 <https://github.com/fetchrobotics/power_msgs/issues/8> from cjds/errors
    Added error messages to the battery state for more information
  * added error messages to the battery state for more information in FC
  * Merge pull request #6 <https://github.com/fetchrobotics/power_msgs/issues/6> from macmason/master
    Add LICENSE file.
  * Add LICENSE file.
  * Contributors: Carl Saldanha, Mac Mason, Michael Ferguson, Russell Toris, cjds

 -- Niharika Arora <narora@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-noetic-power-msgs (0.2.0-1buster) buster; urgency=high

  * add message for battery state
  * Contributors: Michael Ferguson

 -- Niharika Arora <narora@fetchrobotics.com>  Mon, 06 Jul 2015 07:00:00 -0000

ros-noetic-power-msgs (0.1.3-1buster) buster; urgency=high

  * add name to breaker state message (for multiple breakers in an array)
  * Contributors: Michael Ferguson

 -- Niharika Arora <narora@fetchrobotics.com>  Tue, 24 Feb 2015 08:00:00 -0000

ros-noetic-power-msgs (0.1.2-1buster) buster; urgency=high

  * add limits, documentation (breaks MD5)
  * Contributors: Michael Ferguson

 -- Niharika Arora <narora@fetchrobotics.com>  Mon, 26 Jan 2015 08:00:00 -0000

ros-noetic-power-msgs (0.1.1-1buster) buster; urgency=high

  * add BreakerCommand
  * Contributors: Michael Ferguson

 -- Niharika Arora <narora@fetchrobotics.com>  Sun, 25 Jan 2015 08:00:00 -0000

=== debian/control ===
Source: ros-noetic-power-msgs
Section: misc
Priority: optional
Maintainer: Eric Relson <eric.relson@zebra.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/power_msgs
Standards-Version: 3.9.2

Package: ros-noetic-power-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: ROS messages for power measurement and breaker control.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-power-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
